[Python-modules-commits] r29055 - in packages/portalocker/trunk/debian (9 files)
noahfx-guest at users.alioth.debian.org
noahfx-guest at users.alioth.debian.org
Sat May 24 20:27:13 UTC 2014
Date: Saturday, May 24, 2014 @ 20:27:12
Author: noahfx-guest
Revision: 29055
- Removes unnecesary files.
- Change buildsystem to pybuild
Modified:
packages/portalocker/trunk/debian/changelog
packages/portalocker/trunk/debian/rules
Deleted:
packages/portalocker/trunk/debian/gbp.conf
packages/portalocker/trunk/debian/python-portalocker.install
packages/portalocker/trunk/debian/python3-portalocker.install
packages/portalocker/trunk/debian/repack.local
packages/portalocker/trunk/debian/repack.sh
packages/portalocker/trunk/debian/repack.stub
packages/portalocker/trunk/debian/rules.python3
Modified: packages/portalocker/trunk/debian/changelog
===================================================================
--- packages/portalocker/trunk/debian/changelog 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/changelog 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1,15 +1,12 @@
portalocker (0.5.1~ds0-1) UNRELEASED; urgency=low
-TODO: (as mentioned in my email)
- - remove debian/rules.python3 and/or merge with existing debian/rules
- - consider migrating to pybuild
- - consider not repacking tarball because it seems to be unnecessary
- (Vincent Cheng <vcheng at debian.org)
-
* New upstream release.
* debian/control:
-Add Debian Python Modules Team as Maintainer.
-Add Vcs-* fields.
+ * Buildsystem changed to pybuild.
+ * Removes repack.* files
+ * Removes gbp.conf, it is not needed anymore
-- Josue Ortega <josueortega at debian.org.gt> Thu, 08 May 2014 21:50:44 -0600
Deleted: packages/portalocker/trunk/debian/gbp.conf
===================================================================
--- packages/portalocker/trunk/debian/gbp.conf 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/gbp.conf 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1,2 +0,0 @@
-[DEFAULT]
-pristine-tar = True
Deleted: packages/portalocker/trunk/debian/python-portalocker.install
===================================================================
--- packages/portalocker/trunk/debian/python-portalocker.install 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/python-portalocker.install 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1 +0,0 @@
-usr/lib/python2*
Deleted: packages/portalocker/trunk/debian/python3-portalocker.install
===================================================================
--- packages/portalocker/trunk/debian/python3-portalocker.install 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/python3-portalocker.install 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1 +0,0 @@
-usr/lib/python3
Deleted: packages/portalocker/trunk/debian/repack.local
===================================================================
--- packages/portalocker/trunk/debian/repack.local 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/repack.local 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1,4 +0,0 @@
-SUFFIX=~ds0
-rm debian/
-rm portalocker.egg-info/ \
- PKG-INFO
Deleted: packages/portalocker/trunk/debian/repack.sh
===================================================================
--- packages/portalocker/trunk/debian/repack.sh 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/repack.sh 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1,161 +0,0 @@
-#!/bin/sh
-
-# see the repack.stub for how to use
-
-# TODO: provide example watch files and repack.locals
-# TODO: test suite. problems fixed that need to be tested:
-# * globbing
-# * whitespace and then comments in the MANIFEST
-# TODO: does / in weird places work? test suite too.
-# TODO: I actually broke stuff with the MANIFEST change not thinking..
-# TODO: allow for a sepearate (and multiple) MANIFEST files, then
-# de-uglify libsyntax-highlight-engine-kate-perl.
-# TODO: have each mv and rm check that something actually changed, and
-# if not, die
-
-set -e
-set -u
-
-usage() {
- echo "Usage: repack.sh --upstream-version <ver> <downloaded file>"
- exit 1
-}
-
-if [ "$#" != "3" ]; then
- usage
-fi
-if [ "$1" != "--upstream-version" ]; then
- usage
-fi
-if [ ! -f "$3" ]; then
- if [ -n "$3" ]; then
- echo "$3 doesn't exist"
- fi
- usage
-fi
-VER="$2"
-FILE="$3"
-PKG=`dpkg-parsechangelog|grep ^Source:|sed 's/^Source: //'`
-
-SUFFIX="+dfsg"
-
-echo
-echo "Repackaging $FILE"
-echo
-
-DIR=`mktemp -d ./tmpRepackXXXXXX`
-DIR=$(readlink -f "$DIR")
-trap "/bin/rm -rf \"$DIR\"" QUIT INT EXIT
-
-# Create an extra directory to cope with rootless tarballs
-UP_BASE="$DIR/unpack"
-mkdir "$UP_BASE"
-tar xf "$FILE" -C "$UP_BASE" || unzip "$FILE" -d "$UP_BASE"
-
-if [ `ls -1 "$UP_BASE" | wc -l` -eq 1 ]; then
- # Tarball does contain a root directory
- UP_BASE="$UP_BASE/`ls -1 "$UP_BASE"`"
-fi
-
-RM_OPTS="-vrf"
-
-real_rm(){
- /bin/rm "$@"
-}
-
-real_mv(){
- /bin/mv "$@"
-}
-
-rm(){
- set +f
- MYOLDPWD=$(pwd)
- cd "$UP_BASE"
- if [ "$MANIFEST" = "1" ]; then
- PERM=$(stat --format=%a "MANIFEST")
- chmod u+w "MANIFEST"
- fi
- for i in $@; do
- if [ "$MANIFEST" = "1" ]; then
- PATTERN="^$i"
- if [ -d "$i" ]; then
- if ! { echo "$PATTERN" | grep -q "/$" ; }; then
- PATTERN="${PATTERN}/"
- fi
- else
- PATTERN="${PATTERN}\s?"
- fi
- grep -Ev "$PATTERN" "MANIFEST" > "$DIR/MANIFEST"
- real_mv "$DIR/MANIFEST" "MANIFEST"
- fi
- real_rm "$RM_OPTS" "$i"
- done
- if [ "$MANIFEST" = "1" ]; then
- chmod $PERM "MANIFEST"
- fi
- cd $MYOLDPWD
- set -f
-}
-
-mv(){
- set +f
- OLD=$(pwd)
- cd $UP_BASE
- real_mv "$@"
- cd $OLD
- if [ "$MANIFEST" = "1" ]; then
- echo "MANIFEST cannot be manipulated with mv yet, patches welcome"
- exit 1
- fi
- set -f
-}
-
-# bump with incompatible changes
-REPACK_VERSION=3
-
-requires_version(){
- if [ $REPACK_VERSION -lt $1 ]; then
- echo "repack.sh is not up to date enough for this package. you need at least version $1, while this script is only version $REPACK_VERSION"
- exit 1
- fi
-}
-
-MANIFEST=0
-## Remove stuff
-set -f
-MYORIGPWD=$(pwd)
-cd "$UP_BASE"
-. "$MYORIGPWD/debian/repack.local"
-cd $MYORIGPWD
-set +f
-## End
-
-REPACK_DIR="$PKG-${VER}${SUFFIX}.orig" # DevRef § 6.7.8.2
-DFSG_TAR="$(dirname $FILE)/${PKG}_${VER}${SUFFIX}.orig.tar"
-
-real_mv "$UP_BASE" "$DIR/$REPACK_DIR"
-
-# .gz or .bz2?
-FILETYPE=$(file --brief --mime-type --dereference "$FILE")
-case "$FILETYPE" in
- application/x-gzip|application/zip)
- C_PROGRAM="gzip"
- C_SUFFIX="gz"
- ;;
- application/x-bzip2)
- C_PROGRAM="bzip2"
- C_SUFFIX="bz2"
- ;;
- *)
- echo "E: Unknown filetye $FILETYPE"
- exit 1
- ;;
-esac
-
-# Using a pipe hides tar errors!
-tar cfC "$DIR/repacked.tar" "$DIR" "$REPACK_DIR"
-$C_PROGRAM -9 < "$DIR/repacked.tar" > "$DIR/repacked.tar.$C_SUFFIX"
-
-real_mv "$DIR/repacked.tar.$C_SUFFIX" "$DFSG_TAR.$C_SUFFIX"
-
-echo "*** $DFSG_TAR.$C_SUFFIX ready"
Deleted: packages/portalocker/trunk/debian/repack.stub
===================================================================
--- packages/portalocker/trunk/debian/repack.stub 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/repack.stub 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1,82 +0,0 @@
-#!/bin/sh
-
-: <<=cut
-=pod
-
-=head1 NAME
-
-repack.stub - script to repack upstream tarballs from uscan
-
-=head1 INSTRUCTIONS
-
-put this in debian/repack.stub and add "debian sh debian/repack.stub" to
-the end of the line in debian/watch. you will also need to add a version
-mangle to debian/watch.
-
-then create a debian/repack.local. this is a shell script that is
-sources under "set -e", so be careful to check returns codes.
-
-=head1 FUNCTIONS
-
-=over 4
-
-=item rm
-
-rm is replaced by a function that does some magic ("rm -rv" by default), but also changes MANIFEST if $MANIFEST is 1
-
-=item mv
-
-mv is replaced by a function that just does mv (by default), but also changes MANIFEST if $MANIFEST is 1
-
-=item requires_version
-
-requires_version is there for future usage for requiring certain versions of the script
-
-=back
-
-=head1 VARIABLES
-
-=over 4
-
-=item SUFFIX
-
-defaults to +dfsg
-
-what to append to the upstream version
-
-=item RM_OPTS
-
-defaults to -vrf
-
-options to pass to rm
-
-=item MANIFEST
-
-defaults to 0, set to 1 to turn on.
-
-this will manipulate MANIFEST files in CPAN tarballs.
-
-=item UP_BASE
-
-this is the directory where the upstream source is.
-
-=back
-
-=cut
-
-if [ -z "$REPACK_SH" ]; then
- if [ -f ../../scripts/repack.sh ]; then
- REPACK_SH=../../scripts/repack.sh
- fi
- if [ -z "$REPACK_SH" ] && which repack.sh > /dev/null; then
- REPACK_SH=$(which repack.sh)
- fi
-fi
-
-if [ ! -f "$REPACK_SH" ]; then
- echo "Couldn't find a repack.sh. please put it in your PATH, put it at ../../scripts/repack.sh, or put it somewhere else and set the REPACK_SH variable"
- echo "You can get it from http://svn.debian.org/viewsvn/pkg-perl/scripts/repack.sh"
- exit 1
-fi
-
-exec "$REPACK_SH" "$@"
Modified: packages/portalocker/trunk/debian/rules
===================================================================
--- packages/portalocker/trunk/debian/rules 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/rules 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1,33 +1,12 @@
#!/usr/bin/make -f
+# -*- makefile -*-
-export REPACK_SH=$(CURDIR)/debian/repack.sh
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+export PYBUILD_NAME=portalocker
-PYTHON2=$(shell pyversions -vr)
-PYTHON3=$(shell py3versions -vr)
-
%:
- dh $@ --with python2,python3
+ dh $@ --with python2,python3 --buildsystem=pybuild
-
# Skipping tests as upstream doesn't provide them along with the tarball
-override_dh_auto_test:
-
-override_dh_auto_clean:
- dh_auto_clean
- rm -rf build
- rm -rf *.egg-info
-
-build-python%:
- python$* setup.py build
-
-override_dh_auto_build: $(PYTHON3:%=build-python%)
- dh_auto_build
-
-install-python%:
- python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
-
-override_dh_auto_install: $(PYTHON3:%=install-python%)
- dh_auto_install
-
-get-orig-source:
- uscan --force-download
+override_dh_auto_test:
\ No newline at end of file
Deleted: packages/portalocker/trunk/debian/rules.python3
===================================================================
--- packages/portalocker/trunk/debian/rules.python3 2014-05-24 18:19:28 UTC (rev 29054)
+++ packages/portalocker/trunk/debian/rules.python3 2014-05-24 20:27:12 UTC (rev 29055)
@@ -1,36 +0,0 @@
-#!/usr/bin/make -f
-
-export REPACK_SH=$(CURDIR)/debian/repack.sh
-
-PYTHON2=$(shell pyversions -vr)
-PYTHON3=$(shell py3versions -vr)
-
-%:
- dh $@ --with python2,python3
-
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-test-python%:
- python$* setup.py test -vv
-
-override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
-endif
-
-build-python%:
- python$* setup.py build
-
-override_dh_auto_build: $(PYTHON3:%=build-python%)
- dh_auto_build
-
-install-python%:
- python$* setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb
-
-override_dh_auto_install: $(PYTHON3:%=install-python%)
- dh_auto_install
-
-override_dh_auto_clean:
- dh_auto_clean
- rm -rf build
- rm -rf *.egg-info
-
-get-orig-source:
- uscan --force-download
More information about the Python-modules-commits
mailing list